using ButcherFactory.BO.Bill;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ButcherFactory.WeightCount_
{
  public static class WeightCountPrint
  {
    const string TEMPLATE = @"PrintTemplate\WeightCountPrint.html";
    public static void Print(WeightCountEntity entity)
    {
      var dic = new Dictionary<string, string>();
      dic.Add("$Goods_Name", entity.Goods_Name);
      dic.Add("$Weight", string.Format("#0.##",entity.Weight));
      dic.Add("$Date", DateTime.Today.ToString("yyyy/MM/dd"));
      BwpClientPrint.BwpClientWebPrint.Print(TEMPLATE, dic);
    }
  }
}
